## IAnjutaLoader

IAnjutaLoader — Interface to load file or stream

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_loader_error_quark ()
GList * | ianjuta_loader_find_plugins ()

## Types and Values

#define | IANJUTA_LOADER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaLoader

## Includes

    #include <libanjuta/interfaces/ianjuta-loader.h>

## Description

Loaders can deterime correct plugin to open a file or stream. They themselves can not load it, but will correctly redirect the request to an implementor of IAnjutaFile, IAnjutaFileSavable, IAnjutaStream or IAnjutaStreamSavable, depending on the mime-type, meta-type or any other requirements.

## Functions

### ianjuta_loader_error_quark ()

    GQuark
    ianjuta_loader_error_quark (void);

### ianjuta_loader_find_plugins ()

    GList *
    ianjuta_loader_find_plugins (IAnjutaLoader *obj,
                                 GError **err);

#### Parameters

obj | Self |
err | Error propagation and reporting. |

#### Returns

all plugins supporting loader interface.

[element-type AnjutaPlugin]

## Types and Values

### IANJUTA_LOADER_ERROR

    #define IANJUTA_LOADER_ERROR ianjuta_loader_error_quark()